#radarContainer {
    overflow: clip;
    border: 1px solid black;
}
.YouAreHereMarker {
    position: absolute;
    left: 50%; top: 50%;
    width: 20px; height: 20px;
    border-radius: 50%;
    background: #FFEF00;
    border: 1px solid #0047AC;
    transform: translate(-50%, -50%);
    z-index: 10;
}
#stormsOverlay div.StormTrack {
    position: absolute;
    background-image: url(https://stormzone.redsills.com/images/StormTrack.png);
    background-size: contain;
    transform-origin: top left;
    width:auto; 
    transform: translateX(-57%); 
    aspect-ratio: 55/100;
    background-repeat: no-repeat;
}
#stormsOverlay div.StormPoint {
    position: absolute;
    width: 10px; height: 10px !important;
    border-radius: 50%;
    background: rgba(255,0,0,0.8);
    border: 1px solid #800000;
}
#stormsOverlay div.StormTrack span {
    rotate: 180deg;
    clip-path: polygon(0% 0%, 100% 0%, 86% 100%, 14% 100%);
    background-color: rgb(0 0 255 / 60%);
    bottom: 2%;
    width: 90%;
    display: block;
    height: 17%;
    position: absolute;
    margin-left: 5%;
    padding-top: 10%;
    text-align: center;
    color: white;
}
div#radarLegend {
    border-left: 1px dashed black;
    border-right: 1px dashed black;
    width: 500px;
    text-align: center;
    border-bottom: 1px solid #999;
}
img.radarLayer {
    position: absolute; 
    top: 0; left: 0;
}